%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  stepmixr
%global packver   0.1.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.3
Release:          1%{?dist}%{?buildtag}
Summary:          Interface to 'Python' Package 'StepMix'

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildArch:        noarch
BuildRequires:    R-CRAN-reticulate >= 1.8
Requires:         R-CRAN-reticulate >= 1.8

%description
This is an interface for the 'Python' package 'StepMix'. It is a 'Python'
package following the scikit-learn API for model-based clustering and
generalized mixture modeling (latent class/profile analysis) of continuous
and categorical data. 'StepMix' handles missing values through Full
Information Maximum Likelihood (FIML) and provides multiple stepwise
Expectation-Maximization (EM) estimation methods based on pseudolikelihood
theory. Additional features include support for covariates and distal
outcomes, various simulation utilities, and non-parametric bootstrapping,
which allows inference in semi-supervised and unsupervised settings.
Software paper available at <doi:10.18637/jss.v113.i08>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
